### Function

# Gimp param_spec_vectors

unstable since: 3.0

#### Declaration [src]

    GParamSpec*
    gimp_param_spec_vectors (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      gboolean none_ok,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GimpParamSpecVectors` specifying a

# GIMP_TYPE_VECTORS property.

See `g_param_spec_internal()` for details on property names.

Available since: 3.0

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nick name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Description of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`none_ok`

  Type: `gboolean`

  Whether no is a valid value.

`flags`

  Type: `GParamFlags`

  Flags for the property specified.

#### Return value

Type: `GParamSpec`

The newly created `GimpParamSpecVectors`.

The caller of the function takes ownership of the data, and is responsible for freeing it.